* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.calculadora {
    width: 450px;
    height: 600px;
    background-color: #D5DBDB;
    padding: 10px;
    border:1px solid #303030FF;
    margin: 20px auto;
     box-shadow: 5px 10px 18px #888888;
     border-radius: 8px;
}

.contenedor {
    width: 415px;
    height: 150px;
    margin-left: 5px;
    background-color: white;
    border:1px solid #303030FF;
    border-width:medium;
    border-radius: 5px;
}

.operaciones{
width: 400px;
margin:6px;

height: 40px;
font-size: 20px;
white-space: nowrap; 
overflow: hidden;
text-overflow: clip;
/*word-wrap: break-word;*/


}
.pantalla{
width: 400px;
height: 98px;
margin-left: 5px;
font-size: 45px;
overflow: hidden;
text-overflow: clip;
/*word-wrap: break-word;*/

}

.botonera{
    width: 430px;
    margin-top: 10px;
    font-size: 35px;
}

.fila {
    width: 430px;
    height: 100px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.botones {
    float: left;
    width: 100px;
    height: 100px;
    line-height: 100px;
    text-align: center;
    margin-left: 5px;
    border-radius: 5px;

    /*background-color: #7B7D7D;*/
    border: 1px solid black;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#a0a0a0+1,999999+100&0.65+0,0+100 */
    background: -moz-linear-gradient(top, rgba(160, 160, 160, 0.65) 0%, rgba(160, 160, 160, 0.64) 1%, rgba(153, 153, 153, 0) 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, rgba(160, 160, 160, 0.65) 0%, rgba(160, 160, 160, 0.64) 1%, rgba(153, 153, 153, 0) 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, rgba(160, 160, 160, 0.65) 0%, rgba(160, 160, 160, 0.64) 1%, rgba(153, 153, 153, 0) 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6a0a0a0', endColorstr='#00999999', GradientType=0);
    /* IE6-9 */
}

.botonlargo {
    float: left;
    width: 205px;
    height: 100px;
    line-height: 100px;
    text-align: center;
    margin-left: 5px;
    border: 1px solid black;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#a0a0a0+1,999999+100&0.65+0,0+100 */
    background: -moz-linear-gradient(top, rgba(160, 160, 160, 0.65) 0%, rgba(160, 160, 160, 0.64) 1%, rgba(153, 153, 153, 0) 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, rgba(160, 160, 160, 0.65) 0%, rgba(160, 160, 160, 0.64) 1%, rgba(153, 153, 153, 0) 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, rgba(160, 160, 160, 0.65) 0%, rgba(160, 160, 160, 0.64) 1%, rgba(153, 153, 153, 0) 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6a0a0a0', endColorstr='#00999999', GradientType=0);
    /* IE6-9 */
}

a {
    display: block;
    text-decoration: none;
    color: black;
    cursor: pointer;
    text-shadow: 1px 1px 1px #666;
    transform: translateZ(0px) rotateZ(0deg) rotateX(0deg);
}

a:active {
    transform:translateZ(-75px) rotateZ(-0.5deg) rotateX(-10deg);
    color: #BBB;
}

.botonlargo:hover, .botones:hover{
    background-color: white;
}